#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF0,0xBF,0x36,0xD1,0x03,0xD9,0xC8,0x39,0x47,0xBC,0x0B,0xCC,
		0xE7,0xE1,0xD9,0x76,0x49,0x0D,0xE1,0xCC,0xE4,0x2C,0x2E,0x48,
		0x93,0x33,0x53,0xC1,0x34,0xAA,0x1F,0x01,0x6C,0x77,0x4F,0xE8,
		0x57,0x9A,0x5E,0xA9,0x2D,0xE2,0xEA,0x9F,0xCD,0x11,0xA0,0x3C,
		0xE9,0xF2,0x4C,0xBA,0xB2,0x5E,0x77,0x81,0x70,0xC8,0x6E,0x59,
		0x01,0x16,0x70,0x7B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
